/* RXECI4.CMD  */
/*******************************************************************/
/*                                                                 */
/* MODULE NAME      RXECI4.CMD                                     */
/*                                                                 */
/* DESCRIPTIVE NAME Demonstrates RxECI                             */
/*                                                                 */
/* Statement:       Licensed Materials - Property of IBM           */
/*                                                                 */
/*                  CA31 SupportPac                                */
/*                  (c) Copyright IBM Corp. 1994.                  */
/*                                                                 */
/*                  See Copyright Instructions.                    */
/*                                                                 */
/*                  All rights reserved.                           */
/*                                                                 */
/*                  U.S. Government Users Restricted Rights - use, */
/*                  duplication or disclosure restricted by GSA    */
/*                  ADP Schedule Contract with IBM Corp.           */
/*                                                                 */
/* Status:          Version 1 Release 0                            */
/*                                                                 */
/*  NOTES :-                                                       */
/*    DEPENDENCIES = OS/2 V2.x,CICS OS/2, RxECI                    */
/*                   None                                          */
/*    RESTRICTIONS = none                                          */
/*    MODULE TYPE  = Command file                                  */
/*    PROCESSOR    = PS/2 and PC                                   */
/*                                                                 */
/*******************************************************************/
/*                                                                 */
/* This program demonstrates an asynchronous call to a CICS program*/
/* (SAMPLE) followed by a get_reply call using RxECI.              */
/*                                                                 */
/*******************************************************************/
  If rxfuncquery('ECI') Then Do
     If rxfuncadd('ECI', 'RXECI', 'RxECI' ) Then signal failure
     say "ECI registered"
  End

/* provide a simple COMMAREA just filled with '.' */
  commarea = copies('.',500)

/* default is "ECIPROG " */
  ECI.program_name      = "SAMPLE"
  ECI.extend_mode       = "ECI_NO_EXTEND"
  ECI.call_type         = "ECI_ASYNC"
  commarea2 = ECI('ECI.',commarea)
  rc = check_rc(commarea2)

/* now try to get reply */
  DROP ECI.program_name
  ECI.call_type         = "ECI_GET_REPLY"
  commarea2 = ECI('ECI.',commarea)
  rc = check_rc(commarea2)

  if (ECI.return_code  = -5 ) then do /* was not ready */
     /* now wait for reply */
     ECI.call_type         = "ECI_GET_REPLY_WAIT"
     commarea2 = ECI('ECI.',commarea)
     rc = check_rc(commarea2)
     end

/* throw the following line away in non-development mode */
  rc = rxfuncdrop('ECI')

return 0


/*****************************************************************/
/*           some utililty fuunctions                            */
/*****************************************************************/

check_rc: procedure  expose ECI.
arg commarea

  msgfile = "rxeci.msg"
  rc = show_eci_stem()
  if (ECI.return_code = 0) then do
     /* code to process commarea2 goes here */
     say "returned commarea:"
     say commarea
     end
  else do
     say "RxECI failed"
     do until lines(msgfile) = 0
        line = linein(msgfile)
        parse var line returncode message
        if ECI.return_code = returncode then say message
        end
     end
     rc = lineout(msgfile)
return(0)

show_eci_stem: procedure  expose ECI.

say "Contents of ECI stem:"
say "      call_type         : " ECI.call_type
say "      program name      : " ECI.program_name
say "      userid            : " ECI.userid
say "      password          : " ECI.password
say "      transid           : " ECI.transid
say "      abend_code        : " ECI.abend_code
say "      commarea_length   : " ECI.commarea_length
say "      timeout           : " ECI.timeout
say "      sys_return_code   : " ECI.sys_return_code
say "      extended_mode     : " ECI.extend_mode
say "      sem_handle        : " ECI.ASYNC_NOTIFY.SEM_HANDLE
say "      luw_token         : " ECI.luw_token
say "      return code       : " ECI.return_code
return(0)

/* return code from ECI */
  ECI.return_code       = ""                      /* respone  */

FAILURE:
  Say 'Failure to add function at line' sigl
  Address CMD "PAUSE"
  Return 1
