/* RXETI3.CMD  */
/*******************************************************************/
/*                                                                 */
/* MODULE NAME      RXETI3.CMD                                     */
/*                                                                 */
/* DESCRIPTIVE NAME Demonstrates RxETI                             */
/*                                                                 */
/* Statement:       Licensed Materials - Property of IBM           */
/*                                                                 */
/*                  CA31 SupportPac                                */
/*                  (c) Copyright IBM Corp. 1994.                  */
/*                                                                 */
/*                  See Copyright Instructions.                    */
/*                                                                 */
/*                  All rights reserved.                           */
/*                                                                 */
/*                  U.S. Government Users Restricted Rights - use, */
/*                  duplication or disclosure restricted by GSA    */
/*                  ADP Schedule Contract with IBM Corp.           */
/*                                                                 */
/* Status:          Version 1 Release 0                            */
/*                                                                 */
/*  NOTES :-                                                       */
/*    DEPENDENCIES = OS/2 V2.x,CICS OS/2, RxECI                    */
/*                   None                                          */
/*    RESTRICTIONS = none                                          */
/*    MODULE TYPE  = Command file                                  */
/*    PROCESSOR    = PS/2 and PC                                   */
/*                                                                 */
/*******************************************************************/
/*                                                                 */
/* This program demonstrates various error conditions by supplying */
/* invalid parameters via RxETI then starts a CEDA transaction on a*/
/* new Terminal                                                    */
/*                                                                 */
/*******************************************************************/
/* add the ETI functionality as external function */

If rxfuncquery('RxETILoad') Then Do
    call RxFuncAdd 'RxETILoad', 'RXETI', 'RxETILoad'
    call RxETILoad
    Say 'RxETILoad is complete.'
    end

ETI.transid = "????"
rc = show_eti_stem()
rc = RXETI('ETI.')
say rc
rc = check_rc(rc)

ETI.transid = "CEDA"
ETI.termid = "????"
rc = show_eti_stem()
rc = RXETI('ETI.')
say rc
rc = check_rc(rc)

ETI.partner_lu_name = "????????"
rc = show_eti_stem()
rc = RXETI('ETI.')
say rc
rc = check_rc(rc)

ETI.termid = "    "
ETI.partner_lu_name = "        "
ETI.userid = "????????"
rc = show_eti_stem()
rc = RXETI('ETI.')
say rc
rc = check_rc(rc)

ETI.userid = "SYSAD   "
ETI.password = "????????"
rc = show_eti_stem()
rc = RXETI('ETI.')
say rc
rc = check_rc(rc)

ETI.password = "SYSAD   "
ETI.usage = "????"
rc = show_eti_stem()
rc = RXETI('ETI.')
say rc
rc = check_rc(rc)

ETI.usage = "3270"
rc = show_eti_stem()
rc = RXETI('ETI.')
say rc
rc = check_rc(rc)

rc = show_eti_stem()
Call RxETIDrop
Say 'The functions have now been dropped.'

return 0

/*****************************************************************/
/*                 Some utility functions                        */
/*****************************************************************/

check_rc: procedure
arg rc

  msgfile = "rxeti.msg"

     do until lines(msgfile) = 0
        line = linein(msgfile)
        parse var line returncode message
        if rc = returncode then say message
        end
     rc = lineout(msgfile)
return(0)

show_eti_stem: procedure  expose ETI.

say "Contents of ETI stem:"
say "      transid           : " ETI.transid
say "      termid            : " ETI.termid
say "      partner_lu_name   : " ETI.partner_lu_name
say "      userid            : " ETI.userid
say "      password          : " ETI.password
say "      usage             : " ETI.usage
say "      return            : " ETI.return
return(0)

