/* TESTFOLD.CMD */
/*******************************************************************/
/*                                                                 */
/* MODULE NAME      TESTFOLD.CMD                                   */
/*                                                                 */
/* DESCRIPTIVE NAME Creates a Folder to assist with testing        */
/*                                                                 */
/* Statement:       Licensed Materials - Property of IBM           */
/*                                                                 */
/*                  CA31 SupportPac                                */
/*                  (c) Copyright IBM Corp. 1988, 1993.            */
/*                                                                 */
/*                  See Copyright Instructions.                    */
/*                                                                 */
/*                  All rights reserved.                           */
/*                                                                 */
/*                  U.S. Government Users Restricted Rights - use, */
/*                  duplication or disclosure restricted by GSA    */
/*                  ADP Schedule Contract with IBM Corp.           */
/*                                                                 */
/* Status:          Version 1 Release 0                            */
/*                                                                 */
/*  NOTES :-                                                       */
/*    DEPENDENCIES = None                                          */
/*                   None                                          */
/*    RESTRICTIONS = none                                          */
/*    MODULE TYPE  = Command file                                  */
/*    PROCESSOR    = PS/2 and PC                                   */
/*                                                                 */
/*******************************************************************/
/*                                                                 */
/*  This CMD file uses the OS/2 V2.x standard REXXUTIL             */
/*  SysCreateObject function to create a folder on the Desktop.    */
/*  It then adds a series of objects for the TESTRUN.CMD to        */
/*  automate the use of the LECHO.CMD, HECHO.CMD, and VSAM.CMD.    */
/*  When the objects are created, you have the choice of the       */
/*  number of clients to run as well as the function and a         */
/*  directory to contain the Log files created by the subcommands. */
/*                                                                 */
/*******************************************************************/
/* Load REXXUTIL */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/*The basic call is listed next.                                           */
/*rc=SysCreateObject(classname, title, location <,setup>, <,duplicateflag>)*/

call SysCls
Say ''
Say 'Creates a folder to make testing easier '
say '---------------------------------------'
say 'Please enter the drive and directory where the test code is stored'
pull where .

if where='' then where='S:\TESTCLI'

say '---------------------------------------'
say 'Please enter the full file name for data logging'
pull logit .


/* All of the routines pass parameters to a subroutine to perform the call */
classname='WPFolder'
title    ='Client Testing'
location ='<WP_DESKTOP>'
setup    ='OBJECTID=<TEST>;'
Call BldObj

Say 'Adding CICS related Objects to the 'cics' folder...';Say '';

say '---------------------------------------'
say 'Building Host Echo entry - how many clients for this machine?'
pull clients .

classname='WPProgram'
title    ='TESTRUN_Host'
location ='<TEST>'
setup    ='OBJECTID=<TESTRUN_H>;'||,
          'EXENAME='where'\TESTRUN.CMD;'||,
          'PARAMETERS='clients' H 'logit';'||,
          'STARTUPDIR='where';'
Call BldObj

say '---------------------------------------'
say 'Building Local Echo entry - how many clients for this machine?'
pull clients .

classname='WPProgram'
title    ='TESTRUN_Local'
location ='<TEST>'
setup    ='OBJECTID=<TESTRUN_L>;'||,
          'EXENAME='where'\TESTRUN.CMD;'||,
          'PARAMETERS='clients' L 'logit';'||,
          'STARTUPDIR='where';'
Call BldObj

say '---------------------------------------'
say 'Building Vsam test entry - how many clients for this machine?'
pull clients .

classname='WPProgram'
title    ='TESTRUN_Vsam'
location ='<TEST>'
setup    ='OBJECTID=<TESTRUN_V>;'||,
          'EXENAME='where'\TESTRUN.CMD;'||,
          'PARAMETERS='clients' V 'logit';'||,
          'STARTUPDIR='where';'
Call BldObj


Say '';Say 'The test Folder is finished'

Exit

/* Build Object */
BldObj:
call charout ,'Building: 'title

/* Build object using REPLACE as duplicateflag */
result = SysCreateObject(classname, title, location, setup, 'R')

If result=1 Then call charout ,'...   Object created!'
Else             call charout ,'...   Not created! Return code='result

Say '';
Return
/*---------------------------------------------------------------------*/
/* Check for a Directory existing                                      */
/*---------------------------------------------------------------------*/
FindDir: Procedure
   Arg val
   home=directory()
   valexist=directory(val)
   reset=directory(home)
   if valexist<>'' Then Return 1
   else Return 0
/*---------------------------------------------------------------------*/
/* Obtain specified environment variable                               */
/*---------------------------------------------------------------------*/
GetValue: Procedure
  Arg EnvVal .
  res  = value(EnvVal,,'OS2ENVIRONMENT')
Return res
/*-----------end of TESTFOLD.CMD---------------------------------------*/
